Subject: RE: [Pppext] IPCP option for SIP server

From: "John Bray \(bray\)" <[email-masked]>
Date: Tue, 22 Nov 2005 08:20:07 -0500

As Karl says, DHCP is a very simple protocol which is easy to implement.
In fact, it is simpler than PPP.

Just add it.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ashutosh Dutta
> Sent: Tuesday, November 22, 2005 7:33 AM
> To: Karl Fox
> Cc: [email-masked]
> Subject: Re: [Pppext] IPCP option for SIP server 
> 
> 
> Karl, in a 3GPP2 environment where the client gets an IP address from
> PDSN over PPP link, my PDSN acts like a NAS which is also a PPP
> server, and I may not have a DHCP server in that case.
> 
> I have used DHCP in LAN environment with SIP option.
> 
> Thanks
> Ashutosh
> 
> > It is relevant to a WAN environment.  DHCP runs over UDP, 
> which runs  
> > over IP, which runs over PPP.  DHCP is a flexible, well-defined  
> > protocol that is easy to implement.  No protocol changes are needed.
> > 
> > Karl
> > 
> > On Nov 21, 2005, at 11:46 PM, Ashutosh Dutta wrote:
> > > Karl, thanks for your email.
> > >
> > > RFC 3361, and RFC 3319 talk about DHCP option for V4/V6
> > > respectively. I was more curious about PPP that is more 
> relevant for
> > > Wan environment.
> > >
> > > Thanks
> > > Ashutosh
> > >
> > >
> > >> How about RFC 3361 (for IPv4; RFC 3319 for v6)?
> > >>
> > >> Karl
> > >>
> > >> On Nov 21, 2005, at 9:58 PM, Ashutosh Dutta wrote:
> > >>> I was trying to find the status of the draft
> > >>> "draft-song-pppext-sip-support.txt", and came across 
> the following
> > >>> announcement,
> > >>>
> > >>> 
> http://www.ietf.org/IESG/Announcements/rfcno-draft-song-pppext-sip-
> > >>> support.txt.
> > >>>
> > >>> which says there  are already ways to take care of  
> this and thus  
> > >>> this
> > >>> never became  an informational RFC. I  could not find 
> it  in the  
> > >>> email
> > >>> archive.  Can somebody please  point me  to the  right draft   
> > >>> where it
> > >>> explains as to how to take care of assigning SIP server 
> over PPP  
> > >>> link?
> > >>>
> > >>> It is very important to determine the IP address of the 
> outbound SIP
> > >>> proxy using PPP option.
> > >>>
> > >>> Thanks
> > >>> Ashutosh Dutta
> > >>> Telcordia Applied Research
> > >
> > > Ashutosh
> > 
> 
> Ashutosh 
> 
> _______________________________________________
> Pppext mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pppext
> 

_______________________________________________
Pppext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pppext